argagg

List of all members
argagg::invalid_flag Struct Reference

This exception is thrown when an option's flag is invalid. This can be the case if the flag is not prefixed by one or two hyphens or contains non alpha-numeric characters after the hypens. See is_valid_flag_definition() for more details. More...

`#include <argagg.hpp>`

Inheritance diagram for argagg::invalid_flag:

## Additional Inherited Members
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)
Public Member Functions inherited from std::exception
T | what (T... args)
T | ~exception (T... args)
T | operator= (T... args)
T | exception (T... args)

## Detailed Description

This exception is thrown when an option's flag is invalid. This can be the case if the flag is not prefixed by one or two hyphens or contains non alpha-numeric characters after the hypens. See is_valid_flag_definition() for more details.

Definition at line 146 of file argagg.hpp.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src/development/argagg/argagg-0.4.6/include/argagg/argagg.hpp